################################################################################
# Licensed Materials - Property of IBM Copyright IBM Corporation 2012. All Rights Reserved.
# U.S. Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP
# Schedule Contract with IBM Corp.
################################################################################
# creates a new pattern for Devops server installation"
# pattern

import sys
import os
import getopt

# parse command line arguments
try:
    (options, args) = getopt.getopt(sys.argv[1:], 'n:p:s', ['name=', 'partName=', 'scriptPackage='])
except getopt.GetoptError:
    help()

parms = {}

for opt, arg in options:
    if opt in ('-n', '--name'):
        parms['patternName'] = arg

    if opt in ('-p', '--partName'):
        parms['partName'] = arg

    if opt in ('-s', '--scriptPackage'):     
        parms['scriptPackage'] = arg         
    
# Add more error checking
patterns = deployer.patterns[parms['patternName']]
parts = patterns[0].parts[parms['partName']]
scriptPackages = deployer.scripts[parms['scriptPackage']]
parts[0].scripts << scriptPackages[0] 
 
 
 
sys.exit()
 
 
 



