os :linux do
  
  # accept all version if valid_versions is omitted or empty
  flavor :id => :debian, :name => "Debian", :regex => /debian *(?<version>[0-9\.]*)/i, :valid_versions => []

  flavor :id => :rhel, :name => "Red Hat Enterprise Linux",
    :regex => /(red(.*)hat(.*)enterprise(.*)linux|rhel|red(.*)hat) *(?<version>[0-9\.]*)/i,
    :valid_versions => [ ]

  flavor :id => :fedora, :name => "Fedora", :regex => /fedora *(?<version>[0-9\.]*)/i, :valid_versions => []

  flavor :id => :centos, :name => "Cent OS",:regex => /cent *(?<version>[0-9\.]*)/i, :valid_versions => []
  
  flavor :id => :suse, :name => "SUSE", :regex => /suse *(?<version>[0-9\.]*)|sles *(?<version>[0-9\.]*)/i, :valid_versions => []
end